Page MenuHomePhabricator

Clarify wording in dialog about unsupported file types which mentions Firefox and Firefogg
Closed, ResolvedPublic

Description

The problem is that the text of popup is not clear:

The text say: "You can install Firefogg (a Firefox extension) to automatically convert your file." -> no i can't i have chrome :(

It should say: "if you are on mozilla firefox browser, you can install Firefogg extension ..."
"If you have another browser, ..."

the way it is said is important. Imagine :

  • people don't know firefox,
  • people don't know that firefox is the same as mozilla,
  • people think "hey perhaps i could install a module firefox on chrome", "perhaps i can use a firefox extension with any browser",
  • "i don't know what is firefox extension, but if it proposed to me, it is because i can (it is written "you can")".

i understand it is the same popup for any browser, but if so it need to be clear. (or a popup different per browser).

screenast to see popup (on chrome): https://commons.wikimedia.org/wiki/File:Commonfirefogg.webm

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Vatadoshu updated the task description. (Show Details)
Vatadoshu raised the priority of this task from to Needs Triage.
Vatadoshu added a subscriber: Vatadoshu.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 1:17 PM
Vatadoshu renamed this task from upload wizard-text should be more clear to upload wizard-text of popup should be more clear.Oct 20 2015, 1:19 PM
Vatadoshu updated the task description. (Show Details)
Vatadoshu set Security to None.
Aklapper renamed this task from upload wizard-text of popup should be more clear to Clarify wording in dialog about unsupported file types which mentions Firefox and Firefogg.Oct 20 2015, 1:19 PM
Aklapper updated the task description. (Show Details)
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 20 2015, 1:19 PM
Restricted Application added a subscriber: Steinsplitter. · View Herald Transcript
Vatadoshu updated the task description. (Show Details)Oct 20 2015, 1:27 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 20 2015, 1:27 PM
Devirk claimed this task.Oct 21 2015, 3:27 PM
Nnemo awarded a token.Oct 25 2015, 7:35 AM
Nnemo added a subscriber: Nnemo.
Devirk removed Devirk as the assignee of this task.Nov 4 2015, 5:50 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 4 2015, 5:50 PM
MarkTraceur triaged this task as Low priority.Nov 24 2015, 3:35 PM
MarkTraceur added a subscriber: MarkTraceur.

I have to say, I think it's almost as clear as it needs to be.

The only thing I think is actually relevant that you suggested (sort of), is that we change the message to include a link to Firefox as well as Firefogg.

But, it's not a high priority for me.

MtDu added a subscriber: MtDu.Jan 1 2016, 1:44 PM

I'll fix this. :)

Change 261808 had a related patch set uploaded (by MtDu):
Clarify message about unsupported file types which mentions Firefox and Firefogg

https://gerrit.wikimedia.org/r/261808

Nemo_bis assigned this task to MtDu.Jan 1 2016, 2:19 PM

Change 261808 merged by jenkins-bot:
Clarify message about unsupported file types which mentions Firefox and Firefogg

https://gerrit.wikimedia.org/r/261808

matmarex closed this task as Resolved.Jan 2 2016, 10:47 PM
matmarex added a subscriber: matmarex.

Seems resolved now perk Mark's suggestions.